<?php

namespace Simplyin\Simplyin_W_Plugin\Dto\Order;

class Order_And_Account_Body_Data_DTO {

	protected New_Account_Data_DTO $new_account_data_dto;
	protected Order_Data_DTO $order_data_dto;


	public function toArray(): array {
		return [
			"newOrderData"   => $this->order_data_dto->to_array(),
			"newAccountData" => $this->new_account_data_dto->to_array(),
		];
	}

	public function set_new_account_data_dto(
		New_Account_Data_DTO $new_account_data_dto
	): void {
		$this->new_account_data_dto = $new_account_data_dto;
	}

	public function set_order_data_dto( Order_Data_DTO $order_data_dto ): void {
		$this->order_data_dto = $order_data_dto;
	}
}
